## scanlogd 2.2.5

=== Makefile ===
CC = gcc
LD = gcc
RM = rm -f
CFLAGS = -c -Wall -O2 -fomit-frame-pointer
LDFLAGS = -s

PCAP_H = -I/usr/include/pcap
PCAP_L = -lpcap

NIDS_H = -I/usr/local/include
NIDS_L = -L/usr/local/lib -lnids -lnet -lpcap

PROJ = scanlogd

OBJS_COMMON = scanlogd.o
OBJS = $(OBJS_COMMON) in_linux.o in_nids.o in_pcap.o

default:
	@echo "You need to choose a packet capture interface.  Use one of:"
	@echo "	make linux	to use the raw socket interface on Linux"
	@echo "	make libnids	to use libnids (with libpcap and libnet)"
	@echo "	make libpcap	to use libpcap alone"
	@echo "See the man page for a short explanation of the interfaces."

linux: $(OBJS_COMMON) in_linux.o
	$(LD) $(LDFLAGS) $(OBJS_COMMON) in_linux.o -o scanlogd

libnids: $(OBJS_COMMON) in_nids.o
	$(LD) $(LDFLAGS) $(OBJS_COMMON) in_nids.o $(NIDS_L) -o scanlogd

libpcap: $(OBJS_COMMON) in_pcap.o
	$(LD) $(LDFLAGS) $(OBJS_COMMON) in_pcap.o $(PCAP_L) -o scanlogd

in_pcap.o: params.h in.h
	$(CC) $(CFLAGS) $(PCAP_H) in_pcap.c

in_nids.o: params.h in.h
	$(CC) $(CFLAGS) $(NIDS_H) in_nids.c

scanlogd.o: params.h in.h
in_linux.o: params.h in.h

.c.o:
	$(CC) $(CFLAGS) $*.c

clean:
	$(RM) $(PROJ) $(OBJS)

## scanlogd 2.2-1

=== debian/changelog ===
scanlogd (2.2-1) unstable; urgency=low

  * new upstream release, closes: #94119

 -- Michael Vogt <mvo@debian.org>  Tue, 27 Mar 2001 09:37:02 +0200

scanlogd (2.1-1) unstable; urgency=low

  * new upstream
  * close: Bug #69771

 -- Michael Vogt <mvo@debian.org>  Mon, 28 Aug 2000 14:25:39 +0200

scanlogd (1.3-7) unstable; urgency=low

  * close: Bug #69929,#70015 (this time, I got it right)

 -- Michael Vogt <mvo@debian.org>  Sun, 27 Aug 2000 21:47:04 +0200

scanlogd (1.3-6) unstable; urgency=low

  * fix: Bug #69929 (thanks to Antti-Juhani Kaijanaho)

 -- Michael Vogt <mvo@debian.org>  Sat, 26 Aug 2000 14:45:51 +0200

scanlogd (1.3-5) unstable; urgency=low

  * fix: Bug #69771 (thanks to Joey Hess) 

 -- Michael Vogt <mvo@debian.org>  Wed, 23 Aug 2000 10:18:37 +0200

scanlogd (1.3-4) frozen unstable; urgency=low

  * fixed a stuid typo (Bug #58146). Thanks to Peter Naulls 

 -- Michael Vogt <mvogt@acm.org>  Tue, 30 May 2000 12:35:42 +0200

scanlogd (1.3-3) unstable; urgency=low

  * fixed bug #64862 (thanks to Joost Yervante Damad 
                      <joost.damad@siemens.atea.be>

 -- Michael Vogt <mvogt@acm.org>  Tue, 30 May 2000 12:29:56 +0200

scanlogd (1.3-2) unstable; urgency=low

  * fixed bug in postinst/prerm/postrm

 -- Michael Vogt <mvogt@acm.org>  Mo, 16 Feb 2000 13:00:00 +0100

scanlogd (1.3-1) unstable; urgency=low

  * Initial Release.

 -- Michael Vogt <mvogt@acm.org>  Sun, 19 Dec 1999 16:18:56 +0100

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: scanlogd
Section: net
Priority: optional
Maintainer: Michael Vogt <mvogt@acm.org>
Standards-Version: 3.1.1
Build-Depends: debhelper

Package: scanlogd
Architecture: any
Depends: ${shlibs:Depends}
Description: A portscan detecting tool
 Scanlogd is a daemon written by Solar Designer
 to detect portscan attacks on your machine.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1
installbin = install -m 755
installdoc = install -m 644

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) linux
	#/usr/bin/docbook-to-man debian/scanlogd.sgml > scanlogd.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	####$(MAKE) install DESTDIR=`pwd`/debian/tmp
	# make dirs
	$(installbin) -d debian/tmp/usr debian/tmp/usr/sbin
	# install programs
	$(installbin) scanlogd debian/tmp/usr/sbin
	

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
	dh_installinit -n
	dh_installcron
	dh_installmanpages
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## scanlogd 2.2.8

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 CC = gcc
-LD = gcc
+LD = $(CC)
 RM = rm -f
-CFLAGS = -c -Wall -O2 -fomit-frame-pointer
+CFLAGS = -Wall -O2 -fomit-frame-pointer
 LDFLAGS = -s
 
 PCAP_H = -I/usr/include/pcap
@@ -32,16 +32,16 @@
 	$(LD) $(LDFLAGS) $(OBJS_COMMON) in_pcap.o $(PCAP_L) -o scanlogd
 
 in_pcap.o: params.h in.h
-	$(CC) $(CFLAGS) $(PCAP_H) in_pcap.c
+	$(CC) $(CFLAGS) $(PCAP_H) -c in_pcap.c
 
 in_nids.o: params.h in.h
-	$(CC) $(CFLAGS) $(NIDS_H) in_nids.c
+	$(CC) $(CFLAGS) $(NIDS_H) -c in_nids.c
 
 scanlogd.o: params.h in.h
 in_linux.o: params.h in.h
 
 .c.o:
-	$(CC) $(CFLAGS) $*.c
+	$(CC) $(CFLAGS) -c $*.c
 
 clean:
 	$(RM) $(PROJ) $(OBJS)

=== debian/changelog ===
scanlogd (2.2.8-0.1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 1001_drop-BSD-SOURCE-define.patch. Applied upstream.
    + Trivial rebase of patch 2003.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 28 Apr 2021 22:17:40 +0200

scanlogd (2.2.7-0.3) unstable; urgency=medium

  * debian/scanlogd.init:
    + Drop if clause, also let root own RDIR itself. Document this in a comment.
      (Closes: #984590).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 05 Mar 2021 17:58:38 +0100

scanlogd (2.2.7-0.2) unstable; urgency=medium

  * debian/scanlogd.init:
    + RDIR/empty must not be writeable by the user that scanlogd runs as.
      (Closes: #984590).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 05 Mar 2021 15:36:28 +0100

scanlogd (2.2.7-0.1) unstable; urgency=medium

  * Non-maintainer upload.

  * New upstream release. (Closes: #945478).
  * debian/patches:
    + Add 2001_Makefile-default-to-linux-capturing-backend.patch. Let Makefile
      default to 'linux' backend.
    + Add 2002_allow-pkg-maintainer-flags.patch. Allow injecting maintainer
      CFLAGS, honour CPPFLAGS, drop '-s' from LDFLAGS. (Closes: #437957).
    + Add 1001_drop-BSD-SOURCE-define.patch. Drop deprecated _BSD_SOURCE macro
      definition.
    + Add 2003_use-home-as-chroot-dir.patch. Adapt SCANLOGD_CHROOT to a
      directory that does exist after package installation.
  * debian/{control,compat}:
    + Switch to debhelper-compat notation, bump to DH compat level 13.
  * debian/source/format:
    + Add file, switch to '3.0 (quilt)'.
  * debian/rules:
    + Add optional get-orig-source target (for personal convenience).
    + Convert to short DH style. (Closes: #437957).
    + Enable all hardening build flags.
  * debian/install:
    + Add file; ensure installation of scanlogd daemon executable into bin:pkg.
  * debian/watch:
    + Switch to format version 4.
  * debian/dirs:
    + Drop file, not required.
  * debian/manpages:
    + Add file. Use upstream-provided scanlogd.8 as man page.
  * debian/docs:
    + Drop file. It referenced an old license file. Upstream license has changed
      meanwhile.
  * maintainer scripts:
    + Don't ignore errors, switch on strict mode. (Closes: #866273).
    + Drop manual evocation of update-rc.d. Handled by DH these days.
  * debian/postinst:
    + Don't fail if '/home/scanlogd' is still present and can't be removed.
  * debian/control:
    + Improve SYNOPSIS and LONG_DESCRIPTION.
    + Switch to linux-any architectures for now. (Closes: #770303).
    + Bump to Standards-Version: 4.5.1.
    + Add Rules-Requires-Root: field and set it to 'no'.
    + Add Vcs-*: fields.
    + Add D: lsb-base.
  * debian/scanlogd.init:
    + Source LSB init functions.
    + Also stop daemon for runlevels 0 and 6.
    + Implement 'status' option.
    + Use /run/ rather than /var/run. Create additional empty subdirectory in
      RUNDIR.
  * debian/copyright:
    + Rewrite entire file. Fix wrong license reference. (Closes: #945478).
  * debian/changelog:
    + White-space cleanup.

  [ Cristian Ionescu-Idbohrn ]
  * debian/scanlogd.init:
    + Remove end-of-line whitespace.
    + Remove magic shebang SPACE.
    + Reuse variables. Copy/paste is less maintainable.
    + 'chmod' seems meaningless, as 'umask 022' guarantees '0755'; 'chown'
      may be more meanigful, as that was what was done before. (Closes:
      #654310).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 22 Feb 2021 09:56:12 +0100

scanlogd (2.2.5-3.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Bumped DH level to 10.
  * debian/compat: created. (Closes: #827810)
  * debian/control:
      - Added the ${misc:Depends} variable to Depends field.
      - Bumped Standards-Version to 3.9.8.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 22 Dec 2016 17:20:51 -0200

scanlogd (2.2.5-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix handling of /var/run/scanlogd, thanks to Thomas Goirand.
    (Closes: #689903)
  * Use /var/lib/scanlogd instead of /home/scanlogd as the non-existing home
    directory for the scanlogd user, thanks to lintian.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 08 Nov 2014 23:25:20 +0100

scanlogd (2.2.5-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Set adduser in postinst not to create /home/scanlogd and remove it if it
    exists. Ssolves unowned files left on system after purge (Closes: #668722)

 -- Scott Kitterman <scott@kitterman.com>  Thu, 05 Jul 2012 23:54:56 -0400

scanlogd (2.2.5-3) unstable; urgency=low

  * fix init.d script when /var/run is a tmpfs
    thanks to Mathias Bauer (closes: #654310)

 -- Michael Vogt <mvo@debian.org>  Tue, 03 Jan 2012 15:22:23 +0100

scanlogd (2.2.5-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Added LSB formatted dependency info in init.d script (closes: #468133)
  * Added Homepage control field
  * Added watch file

 -- Peter Eisentraut <petere@debian.org>  Thu, 03 Apr 2008 12:18:15 +0200

scanlogd (2.2.5-2.1) unstable; urgency=medium

  * Non-maintainer upload during BSP.
  * Substitute CLK_TCK with CLOCKS_PER_SEC in scanlogd.c and P53-13 to avoid
    FTBFS with new glibc. (Closes: #421085).
  * Use now dh_installman instead of dh_installmanpages

 -- Mario Iseli <admin@marioiseli.com>  Thu, 17 May 2007 20:30:11 +0200

scanlogd (2.2.5-2) unstable; urgency=low

  * use invoke-rc.d (closes: #338394)
  * added /var/run/scanlogd and make sure scanlogd chroots into it

 -- Michael Vogt <mvo@debian.org>  Tue, 25 Jul 2006 20:03:42 +0200

scanlogd (2.2.5-1) unstable; urgency=low

  * New upstream release (closes: #262056)
  * home of the scanlogd user is now /usr/lib/scanlogd (scanlogd chroots
    into it)

 -- Michael Vogt <mvo@debian.org>  Mon,  2 Aug 2004 14:00:28 +0200

=== debian/control ===
Source: scanlogd
Section: net
Priority: optional
Maintainer: Michael Vogt <mvo@debian.org>
Build-Depends: debhelper-compat (= 13),
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: http://www.openwall.com/scanlogd/
Vcs-Git: https://salsa.debian.org/debian/scanlogd.git
Vcs-Browser: https://salsa.debian.org/debian/scanlogd/

Package: scanlogd
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
         adduser,
         lsb-base,
Description: Portscan Detecting Tool
 Scanlogd is a TCP port scan detection tool, originally designed to illustrate
 various attacks an IDS developer has to deal with, for a Phrack Magazine
 article. Thus, unlike some of the other port scan detection tools out there,
 scanlogd is designed to be totally safe to use.
 .
 This release of scanlogd can be built with support for one of several packet
 capture interfaces. In addition to the raw socket interface on Linux (which
 does not require any libraries), scanlogd is now aware of libnids and libpcap.
 .
 Debian's version of scanlogd has been configured to use the raw socket
 interface on Linux.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/tmp/usr/sbin/
	cp scanlogd debian/tmp/usr/sbin/

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/watch ===
version=4
ftp://ftp.openwall.com/pub/projects/scanlogd/scanlogd-(.*).tar.gz
